MagickCore: composite-private.h File Reference

# composite-private.h File Reference

`#include "magick/color.h"`
`#include "magick/image.h"`
`#include "magick/image-private.h"`

Go to the source code of this file.

## Functions
static MagickRealType | RoundToUnity (const MagickRealType value)
static MagickRealType | MagickOver_ (const MagickRealType p, const MagickRealType alpha, const MagickRealType q, const MagickRealType beta)
static void | MagickCompositeOver (const PixelPacket *p, const MagickRealType alpha, const PixelPacket *q, const MagickRealType beta, PixelPacket *composite)
static void | MagickPixelCompositeOver (const MagickPixelPacket *p, const MagickRealType alpha, const MagickPixelPacket *q, const MagickRealType beta, MagickPixelPacket *composite)
static MagickRealType | MagickPlus_ (const MagickRealType p, const MagickRealType alpha, const MagickRealType q, const MagickRealType beta)
static void | MagickPixelCompositePlus (const MagickPixelPacket *p, const MagickRealType alpha, const MagickPixelPacket *q, const MagickRealType beta, MagickPixelPacket *composite)
static void | MagickPixelCompositeBlend (const MagickPixelPacket *p, const MagickRealType alpha, const MagickPixelPacket *q, const MagickRealType beta, MagickPixelPacket *composite)

## Function Documentation

static void MagickCompositeOver | ( | const PixelPacket * | p,
|  | const MagickRealType | alpha,
|  | const PixelPacket * | q,
|  | const MagickRealType | beta,
|  | PixelPacket * | composite |
| ) |  |  | `[inline, static]`

static MagickRealType MagickOver_ | ( | const MagickRealType | p,
|  | const MagickRealType | alpha,
|  | const MagickRealType | q,
|  | const MagickRealType | beta |
| ) |  |  | `[inline, static]`

static void MagickPixelCompositeBlend | ( | const MagickPixelPacket * | p,
|  | const MagickRealType | alpha,
|  | const MagickPixelPacket * | q,
|  | const MagickRealType | beta,
|  | MagickPixelPacket * | composite |
| ) |  |  | `[inline, static]`

static void MagickPixelCompositeOver | ( | const MagickPixelPacket * | p,
|  | const MagickRealType | alpha,
|  | const MagickPixelPacket * | q,
|  | const MagickRealType | beta,
|  | MagickPixelPacket * | composite |
| ) |  |  | `[inline, static]`

static void MagickPixelCompositePlus | ( | const MagickPixelPacket * | p,
|  | const MagickRealType | alpha,
|  | const MagickPixelPacket * | q,
|  | const MagickRealType | beta,
|  | MagickPixelPacket * | composite |
| ) |  |  | `[inline, static]`

static MagickRealType MagickPlus_ | ( | const MagickRealType | p,
|  | const MagickRealType | alpha,
|  | const MagickRealType | q,
|  | const MagickRealType | beta |
| ) |  |  | `[inline, static]`

static MagickRealType RoundToUnity | ( | const MagickRealType | value | ) | `[inline, static]`